Просмотр исходного кода

merged from lp:~donkult/apt/sid

Michael Vogt лет назад: 16
Родитель
Сommit
cdf13dc287
7 измененных файлов с 337 добавлено и 634 удалено
  1. 2 2
      buildlib/debiandoc.mak
  2. 1 1
      buildlib/po4a_manpage.mak
  3. 15 28
      debian/apt.cron.daily
  4. 16 3
      debian/changelog
  5. 1 1
      debian/control
  6. 292 590
      doc/po/de.po
  7. 10 9
      doc/po/fr.po

+ 2 - 2
buildlib/debiandoc.mak

@@ -27,7 +27,7 @@ vpath %.sgml $(SUBDIRS)
 $(DOC)/%.html: %.sgml
 	echo Creating html for $< to $@
 	-rm -rf $@
-	(HERE=`pwd`; cd $(@D) && $(DEBIANDOC_HTML) $(DEBIANDOC_HTML_OPTIONS) $$HERE/$<)
+	(HERE=`pwd`; cd $(@D) && $(DEBIANDOC_HTML) $(DEBIANDOC_HTML_OPTIONS) $$HERE/$<) || exit 199
 
 # Clean rule
 .PHONY: veryclean/html/$(LOCAL)
@@ -48,7 +48,7 @@ veryclean: veryclean/text/$(LOCAL)
 vpath %.sgml $(SUBDIRS)
 $(DOC)/%.text: %.sgml
 	echo Creating text for $< to $@
-	$(DEBIANDOC_TEXT) -O $< > $@
+	$(DEBIANDOC_TEXT) -O $< > $@ || exit 198
 
 # Clean rule
 .PHONY: veryclean/text/$(LOCAL)

+ 1 - 1
buildlib/po4a_manpage.mak

@@ -27,7 +27,7 @@ veryclean: veryclean/$(LOCAL)
 
 $($(LOCAL)-LIST) :: % : %.xml $(INCLUDES)
 	echo Creating man page $@
-	$(XSLTPROC) -o $@ $(STYLESHEET) $< # why xsltproc doesn't respect the -o flag here???
+	$(XSLTPROC) -o $@ $(STYLESHEET) $< || exit 200 # why xsltproc doesn't respect the -o flag here???
 	test -f $(subst .$(LC),,$@) || echo FIXME: xsltproc respect the -o flag now, workaround can be removed
 	mv -f $(subst .$(LC),,$@) $@
 

+ 15 - 28
debian/apt.cron.daily

@@ -11,7 +11,7 @@
 #  Dir::Cache "var/apt/cache/";
 #  - Set apt package cache directory
 #
-#  Dir::Cache::Archive "archives/";
+#  Dir::Cache::Archives "archives/";
 #  - Set package archive directory
 #
 #  APT::Periodic::Enable "1";
@@ -147,21 +147,14 @@ check_size_constraints()
     eval $(apt-config shell MaxSize APT::Archives::MaxSize)
     eval $(apt-config shell MaxSize APT::Periodic::MaxSize)
 
-    CacheDir="var/cache/apt/"
-    eval $(apt-config shell CacheDir Dir::Cache)
-    CacheDir=${CacheDir%/}
-
-    CacheArchive="archives/"
-    eval $(apt-config shell CacheArchive Dir::Cache::archives)
-    CacheArchive=${CacheArchive%/}
+    Cache="/var/cache/apt/archives/"
+    eval $(apt-config shell Cache Dir::Cache::archives/d)
 
     # sanity check
-    if [ -z "$CacheDir" -o -z "$CacheArchive" ]; then
-	echo "empty Dir::Cache or Dir::Cache::archives, exiting"
+    if [ -z "$Cache" ]; then
+	echo "empty Dir::Cache::archives, exiting"
 	exit
     fi
-    
-    Cache="${Dir%/}/${CacheDir%/}/${CacheArchive%/}/"
 
     # check age
     if [ ! $MaxAge -eq 0 ] && [ ! $MinAge -eq 0 ]; then
@@ -225,22 +218,17 @@ do_cache_backup()
     fi
 
     # Set default values and normalize
-    Dir="/"
-    eval $(apt-config shell Dir Dir)
-    Dir=${Dir%/}
-
-    CacheDir="var/cache/apt/"
-    eval $(apt-config shell CacheDir Dir::Cache)
+    CacheDir="/var/cache/apt"
+    eval $(apt-config shell CacheDir Dir::Cache/d)
     CacheDir=${CacheDir%/}
     if [ -z "$CacheDir" ]; then
 	debug_echo "practically empty Dir::Cache, exiting"
 	return 0
     fi
 
-    CacheArchive="archives/"
-    eval $(apt-config shell CacheArchive Dir::Cache::Archives)
-    CacheArchive=${CacheArchive%/}
-    if [ -z "$CacheArchive" ]; then
+    Cache="${CacheDir}/archives/"
+    eval $(apt-config shell Cache Dir::Cache::Archives/d)
+    if [ -z "$Cache" ]; then
 	debug_echo "practically empty Dir::Cache::archives, exiting"
 	return 0
     fi
@@ -251,16 +239,15 @@ do_cache_backup()
 	BackupLevel=2 ; 
     fi
     
-    CacheBackup="backup/"
-    eval $(apt-config shell CacheBackup Dir::Cache::Backup)
-    CacheBackup=${CacheBackup%/}
-    if [ -z "$CacheBackup" ]; then
+    Back="${CacheDir}/backup/"
+    eval $(apt-config shell Back Dir::Cache::Backup/d)
+    if [ -z "$Back" ]; then
 	echo "practically empty Dir::Cache::Backup, exiting" 1>&2
 	return
     fi
 
-    Cache="${Dir}/${CacheDir}/${CacheArchive}/"
-    Back="${Dir}/${CacheDir}/${CacheBackup}/"
+    CacheArchive="$(basename "${Cache}")"
+    test -n "${CacheArchive}" || CacheArchive="archives"
     BackX="${Back}${CacheArchive}/"
     for x in $(seq 0 1 $((${BackupLevel}-1))); do 
 	eval "Back${x}=${Back}${x}/"

+ 16 - 3
debian/changelog

@@ -1,17 +1,30 @@
 apt (0.8.5) UNRELEASED; urgency=low
 
+  [ Manpages translations ]
+  * German (Chris Leick). Closes: #597163
+
   [ Michael Vogt ]
   * merged lp:~mvo/apt/conflicts-on-virtuals to better deal with
     conflicts/breaks against virtual packages (LP: #614993)
-  
+
   [ David Kalnischkies ]
   * apt-pkg/policy.cc:
     - support 100-pinning in Release file with ButAutomaticUpgrades
       as requested by the backports crew (Closes: #596097)
   * apt-pkg/deb/deblistparser.cc:
     - overrule NotAutomatic in case of ButAutomaticUpgrades
-
- -- David Kalnischkies <kalnischkies@gmail.com>  Tue, 14 Sep 2010 18:56:23 +0200
+  * debian/apt.cron.daily:
+    - handle absolut directory paths correctly by loading directories
+      directly instead of building the paths on our own (Closes: #596421)
+  * debian/control:
+    - build-depend on docbook-xml to ensure that the xml DTDs are always
+      available on the buildds (Closes: #597145)
+  * buildlib/debiandoc.mak, buildlib/po4a_manpage.mak:
+    - ensure that the build fails if documentation building fails
+  * doc/po/fr.po:
+    - correct two syntax issues to ensure we can build fine
+
+ -- David Kalnischkies <kalnischkies@gmail.com>  Fri, 17 Sep 2010 10:26:17 +0200
 
 apt (0.8.4) unstable; urgency=low
 

+ 1 - 1
debian/control

@@ -6,7 +6,7 @@ Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Luca Bruno <lethalman88@gmail.com>, Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
 

Разница между файлами не показана из-за своего большого размера
+ 292 - 590
doc/po/de.po


+ 10 - 9
doc/po/fr.po

@@ -1095,6 +1095,7 @@ msgstr ""
 "     <listitem><para>Liste d'état des paquets installés automatiquement.\n"
 "     Élément de configuration : <literal>Dir::State::extended_states</literal>.</para></listitem>\n"
 "     </varlistentry>\n"
+"\">\n"
 
 #. type: Plain text
 #: apt.ent:377
@@ -1153,7 +1154,7 @@ msgstr ""
 "<!ENTITY oldstable-codename \"etch\"> <!ENTITY stable-codename \"lenny\"> <!"
 "ENTITY testing-codename \"squeeze\">"
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt-cache.8.xml:13 apt-config.8.xml:13 apt-extracttemplates.1.xml:13
 #: apt-sortpkgs.1.xml:13 sources.list.5.xml:13
@@ -2585,7 +2586,7 @@ msgstr ""
 "<command>apt-extracttemplates</command> retourne zéro si tout se passe bien, "
 "le nombre 100 en cas d'erreur."
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt-ftparchive.1.xml:13
 msgid ""
@@ -3830,7 +3831,7 @@ msgstr ""
 "<command>apt-ftparchive</command> retourne zéro si tout se passe bien, le "
 "nombre 100 en cas d'erreur."
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt-get.8.xml:13
 msgid ""
@@ -5218,7 +5219,7 @@ msgstr "Trousseau des clés fiables supprimées de l'archive Debian."
 msgid "&apt-get;, &apt-secure;"
 msgstr "&apt-get;, &apt-secure;"
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt-mark.8.xml:13
 msgid ""
@@ -5780,7 +5781,7 @@ msgstr ""
 "<command>apt-sortpkgs</command> retourne zéro si tout se passe bien ou 100 "
 "en cas d'erreur."
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt.conf.5.xml:13
 msgid ""
@@ -7152,7 +7153,7 @@ msgstr ""
 "La liste <literal>Ignore-Files-Silently</literal> permet d'indiquer quels "
 "sont les fichiers qu'APT peut ignorer sans avertissement dans les "
 "répertoires contenant des fragments de configuration. Par défaut, les "
-"fichiers qui se terminent par literal>.disabled</literal>, <literal>~</"
+"fichiers qui se terminent par <literal>.disabled</literal>, <literal>~</"
 "literal>, <literal>.bak</literal> ou <literal>.dpkg-[a-z]+</literal> sont "
 "ignorés. Comme cela est visible dans le dernier élément de cette liste, il "
 "est possible d'utiliser la syntaxe des expressions rationnelles."
@@ -7680,7 +7681,7 @@ msgstr ""
 
 #.  TODO: provide a
 #. 	   motivating example, except I haven't a clue why you'd want
-#. 	   to do this.
+#. 	   to do this. 
 #. type: Content of: <refentry><refsect1><para><itemizedlist><listitem><para>
 #: apt.conf.5.xml:746
 msgid ""
@@ -8103,13 +8104,13 @@ msgstr ""
 msgid "&file-aptconf;"
 msgstr "&file-aptconf;"
 
-#.  ? reading apt.conf
+#.  ? reading apt.conf 
 #. type: Content of: <refentry><refsect1><para>
 #: apt.conf.5.xml:1096
 msgid "&apt-cache;, &apt-config;, &apt-preferences;."
 msgstr "&apt-cache;, &apt-config;, &apt-preferences;."
 
-#.  The last update date
+#.  The last update date 
 #. type: Content of: <refentry><refentryinfo>
 #: apt_preferences.5.xml:13
 msgid ""